---
name: "🐛 Bug Report / 💡 Feature Request"
about: "Report a bug or suggest an improvement for the amocarray project"
title: "[Bug] <brief description>" or "[Feature] <brief description>"
labels: []
assignees: []
---

## Description

Please describe the bug or feature request clearly and concisely.

**For bugs:**
- What did you expect to happen?
- What actually happened?
- If applicable, include error messages or stack traces.

**For features:**
- What problem does this feature solve?
- How would this feature improve the project?


## Reproduction (for bugs)

Please provide steps to reproduce the issue, if possible:

1. Go to '...'
2. Run '...'
3. Observe '...'

If you can, include a minimal, reproducible example or link to a failing test.


## Environment

- OS: [e.g., macOS 13.3, Ubuntu 22.04, etc.]
- Python version: [e.g., 3.11]
- amocarray version: [if applicable]
- Virtualenv / Conda / System Python?: [env type]


## Checklist

- [ ] I have checked the existing [issues](https://github.com/AMOCcommunity/amocarray/issues) to avoid duplicates.
- [ ] I have included steps to reproduce the issue, if it's a bug.
- [ ] I have described the motivation clearly, if it's a feature request.


## Additional context

Add any other context or screenshots about the problem or feature request here.

---

*This issue template was prepared with assistance from ChatGPT to support clear and collaborative development.*

